Data Structures | Typedefs | Enumerations | Functions
example_waste_level.h File Reference
`#include <stdbool.h>`
`#include <stdint.h>`
`#include "acc_config.h"`
`#include "acc_processing.h"`

Go to the source code of this file.

## Data Structures
struct | waste_level_processing_config_t
| Configuration for waste_level. More...
struct | waste_level_app_config_t
struct | waste_level_result_t
| Result type. More...

## Typedefs
typedef struct waste_level_handle | waste_level_handle_t
| Waste level handle. More...

## Enumerations
enum | waste_level_preset_t { WASTE_LEVEL_PRESET_NONE = 0, WASTE_LEVEL_PRESET_PLASTIC_WASTE_BIN }
| Waste level preset. More...

## Functions
waste_level_app_config_t * | waste_level_app_config_create (void)
| Create a waste level app config (includes an acc_config_t) More...
void | waste_level_app_config_destroy (waste_level_app_config_t *app_config)
| Destroy a waste level app config. More...
void | waste_level_app_config_set_preset (waste_level_preset_t preset, waste_level_app_config_t *app_config)
| Apply a preset to an app config. More...
waste_level_handle_t * | waste_level_handle_create (const waste_level_app_config_t *app_config)
| Create a waste level handle. More...
void | waste_level_handle_destroy (waste_level_handle_t *handle)
| Destroy a waste level handle. More...
void | waste_level_process (waste_level_handle_t *handle, const waste_level_app_config_t *app_config, const acc_processing_metadata_t *metadata, const acc_int16_complex_t *frame, waste_level_result_t *waste_level_result)
| Process Sparse IQ data. More...
void | waste_level_processing_config_log (const waste_level_processing_config_t *config)
| Log a waste level config. More...

## Typedef Documentation

## ◆ waste_level_handle_t

typedef struct waste_level_handle waste_level_handle_t

Waste level handle.

Definition at line 19 of file example_waste_level.h.

## Enumeration Type Documentation

## ◆ waste_level_preset_t

enum waste_level_preset_t

Waste level preset.

Enumerator
WASTE_LEVEL_PRESET_NONE |
WASTE_LEVEL_PRESET_PLASTIC_WASTE_BIN |

Definition at line 54 of file example_waste_level.h.

## Function Documentation

## ◆ waste_level_app_config_create()

waste_level_app_config_t* waste_level_app_config_create | ( | void |  | ) |

Create a waste level app config (includes an acc_config_t)

Definition at line 147 of file example_waste_level.c.

## ◆ waste_level_app_config_destroy()

void waste_level_app_config_destroy | ( | waste_level_app_config_t * | app_config | ) |

Destroy a waste level app config.

Parameters

  [in] | app_config | The config to destroy

Definition at line 166 of file example_waste_level.c.

## ◆ waste_level_app_config_set_preset()

void waste_level_app_config_set_preset | ( | waste_level_preset_t | preset,
|  | waste_level_app_config_t * | app_config
| ) |  |

Apply a preset to an app config.

Parameters

  [in] | preset | The preset
  [in] | app_config | The waste level app config

Definition at line 179 of file example_waste_level.c.

## ◆ waste_level_handle_create()

waste_level_handle_t* waste_level_handle_create | ( | const waste_level_app_config_t * | app_config | ) |

Create a waste level handle.

The handle is used only for processing

Parameters

  [in] | app_config | Waste level app configuration

Returns
  A waste_level handle, or NULL if creation failed

Definition at line 217 of file example_waste_level.c.

## ◆ waste_level_handle_destroy()

void waste_level_handle_destroy | ( | waste_level_handle_t * | handle | ) |

Destroy a waste level handle.

Parameters

  [in] | handle | The waste_level handle to destroy

Definition at line 257 of file example_waste_level.c.

## ◆ waste_level_process()

void waste_level_process | ( | waste_level_handle_t * | handle,
|  | const waste_level_app_config_t * | app_config,
|  | const acc_processing_metadata_t * | metadata,
|  | const acc_int16_complex_t * | frame,
|  | waste_level_result_t * | waste_level_result
| ) |  |

Process Sparse IQ data.

Parameters

  [in] | handle | The waste level handle
  [in] | app_config | The waste level app configuration handle was created with
  [in] | metadata | The processing metadata
  [in] | frame | The Sparse IQ frame
  [out] | waste_level_result | Result processed by waste_level

Definition at line 275 of file example_waste_level.c.

## ◆ waste_level_processing_config_log()

void waste_level_processing_config_log | ( | const waste_level_processing_config_t * | config | ) |

Log a waste level config.

Parameters

  [in] | config | The waste level config

Definition at line 354 of file example_waste_level.c.